# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Authen-OATH
Version:        1.0.0
Release:        alt1_7
Summary:        OATH One Time Passwords
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Authen-OATH/
Source0:        http://www.cpan.org/authors/id/S/SI/SIFUKURT/Authen-OATH-v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Module/Build.pm)
# Tests only:
BuildRequires:  perl(Digest/HMAC.pm)
BuildRequires:  perl(Digest/SHA1.pm)
BuildRequires:  perl(Math/BigInt.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Simple.pm)
# Optional tests:
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
# SHA1 is needed by HOTP specification.
Requires:       perl(Digest/SHA1.pm)
Source44: import.info

%description
Implementation of the HOTP and TOTP One Time Password algorithms as defined by
OATH (http://www.openauthentication.org).

%prep
%setup -q -n Authen-OATH-v%{version}
for F in README Changes; do
    sed -e 's/\r//' <"$F" >"${F}.unix"
    touch -r "$F" "${F}.unix"
    mv "${F}.unix" "$F"
done

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_7
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_6
- update to new release by fcimport

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_4
- fc import

